package com.cmvr.aima.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cmvr.aima.domain.AimaPhone;

/**
 * 爱玛手机管理Mapper接口
 * 
 * @author cmvr-iot
 * @since 2026-06-22
 */
public interface AimaPhoneMapper extends BaseMapper<AimaPhone> {
    /**
     * 查询爱玛手机管理
     * 
     * @param id 爱玛手机管理主键
     * @return 爱玛手机管理
     */
    AimaPhone selectAimaPhoneById(String id);

    /**
     * 查询爱玛手机管理列表
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 爱玛手机管理集合
     */
    List<AimaPhone> selectAimaPhoneList(AimaPhone aimaPhone);

    /**
     * 新增爱玛手机管理
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 结果
     */
    int insertAimaPhone(AimaPhone aimaPhone);

    /**
     * 修改爱玛手机管理
     * 
     * @param aimaPhone 爱玛手机管理
     * @return 结果
     */
    int updateAimaPhone(AimaPhone aimaPhone);

    /**
     * 删除爱玛手机管理
     * 
     * @param id 爱玛手机管理主键
     * @return 结果
     */
    int deleteAimaPhoneById(String id);

    /**
     * 批量删除爱玛手机管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAimaPhoneByIds(String[] ids);
}
